Subject: Re: [PATCH] net: netvsc: Increase default VMBus channel from 8 to 16

From: Jakub Kicinski <[email-masked]>
Date: Wed, 7 Aug 2024 20:18:57 -0700

On Mon,  5 Aug 2024 22:55:51 -0700 Erni Sri Satya Vennela wrote:
> Performance tests showed significant improvement in throughput:
> - 0.54% for 16 vCPUs
> - 1.51% for 32 vCPUs
> - 0.72% for 48 vCPUs
> - 5.57% for 64 vCPUs
> - 9.14% for 96 vCPUs

Could you please switch to netif_get_num_default_rss_queues() ?
It used to return hard coded 8, but now it returns #physical cores / 2.
That's based on broad experience with Meta's workloads. Some workloads
need more some needs fewer, but broadly half of physical cores is
a good guess for 90%+
Assuming you have thread siblings in those vCPUs above it should
match what you want, too.
-- 
pw-bot: cr